import 'package:prompter_abhimanyuk/src/terminal.dart';

import 'option.dart';

final Terminal _terminal = Terminal();

class Prompter {
  askBinary(String prompt) {
    _ask("$prompt (y/n)", []);
    var input = _terminal.collectInput();
    return input == 'y' || input == 'Y';
  }

  askMultiple(String prompt, List<Option> options) {
    _ask(prompt, options);
    // _terminal.printOptions(options);

    String input = _terminal.collectInput();
    try {
      int inputValue = int.parse(input);
      _terminal.print("You selected: ${options[inputValue].label}");
      return options[inputValue];
    } catch (err) {
      _terminal.print("Invalid selection, please try again");
      return askMultiple(prompt, options);
    }
  }

  _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.print(prompt);
    _terminal.printOptions(options);
  }
}
